## r-cran-linprog 0.9

=== DESCRIPTION ===
Package: linprog
Version: 0.9-6
Date: 2026-01-19
Title: Linear Programming / Optimization
Authors@R: person(given = "Arne", family = "Henningsen",
   role = c("aut", "cre"), email = "arne.henningsen@gmail.com")
Author: Arne Henningsen [aut, cre]
Maintainer: Arne Henningsen <arne.henningsen@gmail.com>
Depends: R (>= 2.4.0), lpSolve
Description: Can be used to solve Linear Programming / Linear
   Optimization problems by using the simplex algorithm.
License: GPL (>= 2)
URL: http://linprog.r-forge.r-project.org/
NeedsCompilation: no
Packaged: 2026-01-19 13:31:18 UTC; gsl324
Repository: CRAN
Date/Publication: 2026-01-19 14:10:02 UTC

## r-cran-linprog 0.9-2

=== debian/changelog ===
r-cran-linprog (0.9-2-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 09:05:31 +0200

r-cran-linprog (0.9-2-1) unstable; urgency=medium

  * Initial release (closes: #932334)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 22:51:38 +0200

=== debian/control ===
Source: r-cran-linprog
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-lpsolve
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-linprog
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-linprog.git
Homepage: https://cran.r-project.org/package=linprog
Rules-Requires-Root: no

Package: r-cran-linprog
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R linear programming / optimization
 This package can be used to solve Linear Programming /
 Linear Optimization problems by using the simplex algorithm.

## r-cran-linprog 0.9-4

=== debian/changelog ===
r-cran-linprog (0.9-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Architecture: all

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 15:30:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,15 @@
                dh-r,
                r-base-dev,
                r-cran-lpsolve
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-linprog
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-linprog.git
 Homepage: https://cran.r-project.org/package=linprog
 Rules-Requires-Root: no
 
 Package: r-cran-linprog
-Architecture: any
+Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/linprog_([-\d.]*)\.tar\.gz

## r-cran-linprog 0.9-6

=== debian/changelog ===
r-cran-linprog (0.9-6-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 27 Jan 2026 08:51:29 +0900

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-lpsolve
-Standards-Version: 4.6.0
+               r-cran-lpsolve,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-linprog
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-linprog.git
 Homepage: https://cran.r-project.org/package=linprog
